image: node:14
variables:
  DOCKER_IMAGE: registry.gitlab.com/mika.fischer/mp-pipeline-dev:master
services:
  - name: $DOCKER_IMAGE
    alias: app

test:
  stage: test
  variables:
    HOSTNAME: app
    PORT: 8080
  script:
    - npm ci
    - npm run test